Get a case with messages

get

/api/boss/data/objects/ora/cxServiceCore/case/v1:1072/$en/cases/$views/messages

Case messages are used to initiate or update a case. These messages are used to manage and track communications related to the case.

Request

Query Parameters
  • Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
  • Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
  • The resource collection will be queried using the specified filter condition.
  • Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
  • Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
    Default Value: 25
  • Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
    Default Value: 0
  • Orders a resource collection based on the specified fields. The parameter value is a comma-separated string of field names, each optionally followed by a colon and "asc" (default) or "desc".

There's no request body for this operation.

Back to Top

Response

Default Response

Successful response of retrieving view messages for resource Cases
Body ()
Root Schema : cases_view-messages
Match All
Case messages are used to initiate or update a case. These messages are used to manage and track communications related to the case.
Show Source
Nested Schema : __collection_context
Type: object
Show Source
Nested Schema : cases_view-messages-allOf[1]
Type: object
Case messages are used to initiate or update a case. These messages are used to manage and track communications related to the case.
Show Source
Nested Schema : totalItems
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : items-allOf[1]
Type: object
Show Source
Nested Schema : $context
Type: object
Show Source
Nested Schema : messages
Match All
Show Source
Nested Schema : statusTypeCd
Match All
The code indicates the status type of the case.
Show Source
  • Title: Status Type
    Read Only: true
    The code indicates the status type of the case.
  • Allowed Values: [ "ORA_SVC_ACTIVE", "ORA_SVC_CLOSED", "ORA_SVC_INACTIVE", "ORA_SVC_RESOLVED", "ORA_SVC_SUSPENDED" ]
Nested Schema : stripeCd
Match All
The code indicating the stripe of the case.
Show Source
  • Title: Stripe Code
    Read Only: true
    The code indicating the stripe of the case.
  • Allowed Values: [ "ORA_SVC_CRM", "ORA_SVC_HRHD", "ORA_SVC_ISR" ]
Nested Schema : messages-allOf[1]
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : items-allOf[1]
Type: object
Show Source
Nested Schema : messageTypeCd
Match All
The code that indicates the type of message.
Show Source
  • Title: Message Type
    Read Only: true
    The code that indicates the type of message.
  • Allowed Values: [ "ORA_SVC_NOTE" ]
Nested Schema : parentMessage
Match All
Show Source
Nested Schema : postedByParty
Match All
Show Source
Nested Schema : source
Match All
Show Source
Nested Schema : statusCd
Match All
The code that indicates the status of the message.
Show Source
  • Title: Status Code
    Read Only: true
    The code that indicates the status of the message.
  • Allowed Values: [ "ORA_SVC_COMMITTED" ]
Nested Schema : visibilityCd
Match All
The code that indicates visibility of a message.
Show Source
  • Title: Visibility
    Read Only: true
    The code that indicates visibility of a message.
  • Allowed Values: [ "ORA_SVC_INTERNAL", "ORA_SVC_EXTERNAL" ]
Nested Schema : parentMessage-allOf[1]
Type: object
Show Source
Nested Schema : postedByParty-allOf[1]
Type: object
Show Source
Nested Schema : id
Match All
Show Source
Nested Schema : name
Match All
Show Source
  • Read Only: true
  • Title: Party Name
    The name of the party.
Nested Schema : registryId
Match All
Show Source
  • Read Only: true
  • Title: Registry ID
    The public key generated or user-entered for a given party.
Nested Schema : source-allOf[1]
Type: object
Show Source
Nested Schema : lookupCode
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code ID
    The unique identifier of the Lookup Code.
Nested Schema : lookupType
Match All
Show Source
  • Read Only: true
  • Title: Lookup Type ID
    The unique identifier of the Lookup Type.
Nested Schema : meaning
Match All
Show Source
  • Read Only: true
  • Title: Lookup Code Meaning
    The translated meaning of the Lookup Code.
Back to Top